# class Puppet::Settings::ValueTranslator

Convert arguments into booleans, integers, or whatever.

### Public Instance Methods

[](value) click to toggle source

    # File lib/puppet/settings/value_translator.rb, line 3
    def [](value)
      # Handle different data types correctly
      return case value
        when /^false$/i; false
        when /^true$/i; true
        when /^\d+$/i; Integer(value)
        when true; true
        when false; false
        else
          value.gsub(/^["']|["']$/,'').sub(/\s+$/, '')
      end
    end